Subject: Re: [PATCH 0/2] af_key: fixes for sleeping while atomic

From: Steffen Klassert <[email-masked]>
Date: Wed, 5 Mar 2014 13:07:01 +0100

On Tue, Mar 04, 2014 at 01:26:22PM +0100, Nikolay Aleksandrov wrote:
> Hi,
> The first patch takes care of the issue on the af_key side, and the second
> one fixes it on the selinux side (security_xfrm_policy_alloc).
> There're a few lines >80 but they were already long, I'm not sure if breaking
> them above the limit would make them more readable than they already are.
> 
> Best regards,
>  Nikolay Aleksandrov
> 
> CC: Paul Moore <[email-masked]>
> CC: Dave Jones <[email-masked]>
> CC: Steffen Klassert <[email-masked]>
> CC: Fan Du <[email-masked]>
> CC: David S. Miller <[email-masked]>
> 
> Nikolay Aleksandrov (2):
>   net: af_key: fix sleeping under rcu
>   selinux: add gfp argument to security_xfrm_policy_alloc and fix
>     callers
> 

Looks ok. I'd take both patches into the ipsec tree, but I want to see
an ack from Paul because this touches IPsec and selinux code.